Redmine - Defect #7182

parameter "limit" doesn't work in Issues REST API
2010-12-27 14:11 - Mark Kofman

Status: Closed Start date: 2010-12-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.0.1
Description

When doing request
GET J/issues.xml?project_id=testproject&query_id=2&offset=0&limit=10

parameter "limit" is not working. | always get 25 rows as configured in "Objects per page options".

History

#1 - 2010-12-27 16:59 - Felix Schifer

| suppose you need 10 to be an available option in the global settings.

#2 - 2010-12-27 17:06 - Mark Kofman

| want to manipulate this with "limit" parameter and not in global settings. | need to do queries with different limits.
Felix Schéafer wrote:

| suppose you need 10 to be an available option in the global settings.

#3 - 2010-12-29 17:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Please read Rest_api#Collection-resources-and-pagination. This parameter is added in Redmine 1.1.0.
https://www.redmine.org/projects/redmine/wiki/Rest_api#Collection-resources-and-pagination
http://www.tcpdf.org

